#ifndef UPGRADEAPKDIALOG_H
#define UPGRADEAPKDIALOG_H

#include <QDialog>
#include <QTreeWidgetItem>
#include "wupgradeapkitem.h"

class UpgradeApkDialog : public QDialog {
    Q_OBJECT
public:
    explicit UpgradeApkDialog(QWidget *parent = nullptr);
protected:
    virtual void keyPressEvent(QKeyEvent *ev);
protected slots:
    void FilterProgram(const QString &strtemp);

private:
    void onAddLedCard(LedCard *p);

    LoQTreeWidget *wDevicePublishList;
    QTreeWidgetItem *m_headerItem=nullptr;
    QString m_strUrl="";
};

#endif // UpgradeApkDialog_H
